
from alembic import command
from alembic.config import Config
import random

def generate_migration_script(directory, revision_id, output_file):
    """
    This function generates a migration script using Alembic.
    It creates a new revision with the given revision_id and outputs the script to a file.
    """
    # Set up the Alembic configuration
    config = Config(directory)
    
    # Generate the migration script
    command.autogenerate(config, revision=revision_id)
    
    # Write the migration script to the specified output file
    command.show_script(config, revision=revision_id, filename=output_file)



